Package picard.sam

## Class ReplaceSamHeader

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.sam.ReplaceSamHeader

-     @DocumentedFeature
      public class ReplaceSamHeader
      extends CommandLineProgram

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `HEADER` |
    `File` | `INPUT` |
    `File` | `OUTPUT` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReplaceSamHeader()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static void` | `main​(String[] argv)` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Argument(doc="SAM file from which SAMRecords will be read.",
                    shortName="I")
          public File INPUT

    - #### HEADER

          @Argument(doc="SAM file from which SAMFileHeader will be read.")
          public File HEADER

    - #### OUTPUT

          @Argument(doc="SAMFileHeader from HEADER file will be written to this file, followed by SAMRecords from INPUT file",
                    shortName="O")
          public File OUTPUT

  - ### Constructor Detail

    - #### ReplaceSamHeader

          public ReplaceSamHeader()

  - ### Method Detail

    - #### main

          public static void main​(String[] argv)

    - #### doWork

          protected int doWork()

      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.